PETSc version 3.15.5
Fix/Edit manual page

# MatShellSetVecType

Sets the type of Vec returned by MatCreateVecs()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatShellSetVecType(Mat mat,VecType vtype)

Logically collective

### Input Parameters

| mat | - the shell matrix
| vtype | - type to use for creating vectors

### Notes

### See Also

MatCreateVecs()

### Level

advanced

### Location

src/mat/impls/shell/shell.c

### Implementations

MatShellSetVecType_Shell in src/mat/impls/shell/shell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages